﻿using System.Collections.Generic;
using System.Web.Mvc;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using WebApplication1.Controllers;
using WebApplication1.Models;

namespace WebApplication1.Tests.Controllers
{
  [TestClass]
  public class PersonControllerTest
  {
    [TestMethod]
    public void Index()
    {
      PersonController controller = new PersonController();

      ViewResult result = controller.Index() as ViewResult;

      Assert.IsNotNull(result);
      Assert.IsInstanceOfType(result.Model, typeof(IEnumerable<Person>));
    }

    [TestMethod]
    public void Create()
    {
      PersonController controller = new PersonController();

      ViewResult result = controller.Create() as ViewResult;

      Assert.IsNotNull(result);
      Assert.IsInstanceOfType(result.Model, typeof(Person));

      var sexCollection = controller.TempData["Data"];
      Assert.IsNotNull(sexCollection);
      Assert.IsInstanceOfType(sexCollection, typeof(IEnumerable<SelectListItem>));
    }

    [TestMethod]
    public void Edit()
    {
      PersonController controller = new PersonController();

      ViewResult result = controller.Create() as ViewResult;

      Assert.IsNotNull(result);
      Assert.IsInstanceOfType(result.Model, typeof(Person));

      var sexCollection = controller.TempData["Data"];
      Assert.IsNotNull(sexCollection);
      Assert.IsInstanceOfType(sexCollection, typeof(IEnumerable<SelectListItem>));
    }
  }
}
