﻿using System.ComponentModel.DataAnnotations;

namespace WebApplication1.Models
{
  /// <summary>
  /// Model class representing edited data
  /// </summary>
  public class Person
  {
    public int Id { get; set; }

    // Annotation example could be found here: http://www.codeguru.com/csharp/.net/validating-data-using-data-annotation-attributes-in-asp.net-mvc.htm
    [Required]
    [Display(Name = "Jméno")]
    [DataType(DataType.Text)]
    public string Name { get; set; }

    [Required]
    [Display(Name = "Pohlaví")]
    public Sex Sex { get; set; }
  }
}